#################
### Variables ###
#################

wm title . "Remplacement de motif"

font create titre -family Times -weight bold -size 18
font create titres -family times -size 20 -slant italic -weight bold

#############################################
### Procdure pour boite de dialogue Exit ###
#############################################

proc prompt_close { widgetname } {
    if  { $widgetname == "." } {
	set result [ tk_messageBox -parent . \
		-title {Quitter ?} -type yesno\
		-icon warning \
		-message "Te rends-tu compte de ce que tu fais !" ]
	if { $result == "yes" } {
	    exit
	}
    } else {
	destroy $widgetname
    }
}

wm protocol . WM_DELETE_WINDOW "prompt_close ."


###############
### Le menu ###
###############


####################
### Les bouttons ###
####################

button .remplacem -text "REMPLACEMENT DE MOTIF" -command { wm deiconify .t } -font titres
pack .remplacem -anchor nw

frame .top

label .entrez -text "Entrez le numro de fichier"

entry .top.num -width 3 -textvariable num
.top.num insert 0 "23"

button .top.suivant -text "SUIVANT" -command {
    global num
    set a $num
    .top.num delete 0 end
    .top.num insert 0 [ expr $a + 1 ]
    image create photo fourgonette -file "../sequence/fourg.${num}.pgm"
    .image create image 0 0 -image fourgonette -anchor nw
    dessinepolygone ../chaine/fourg.${num}.chain
}

button .top.precedent -text "PRECEDENT" -command {
    global num
    set a $num
    .top.num delete 0 end
    .top.num insert 0 [ expr $a - 1 ]
    image create photo fourgonette -file "../sequence/fourg.${num}.pgm"
    .image create image 0 0 -image fourgonette -anchor nw
    dessinepolygone ../chaine/fourg.${num}.chain
}

button .split -command { 
    global num
    image create photo fourgonette -file "../sequence/fourg.${num}.pgm"
    .image create image 0 0 -image fourgonette -anchor nw
    set command "rm -f ../chaine/fourg.${num}.chain.polyg" 
    eval exec $command
    split ../chaine/fourg.${num}.chain
    dessinepolygone ../chaine/fourg.${num}.chain.polyg
} -text "Utiliser split-merge"

image create photo fourgonette -file ../sequence/fourg.23.pgm
canvas .image -width 332 -height 288
.image create image 0 0 -image fourgonette -anchor nw
dessinepolygone ../chaine/fourg.${num}.chain

label .info -text "informations"

pack .entrez 

grid config .top.precedent -column 0 -row 0 -sticky e
grid config .top.num -column 1 -row 0 -sticky ew
grid config .top.suivant -column 2 -row 0 -sticky w

pack .top .split .image .info

bind .image <Button-1> {
    set x %x
    set y %y
    .info configure -text "x=${x} y=${y}"
}

frame .l1
frame .l2
frame .l3
frame .l4

entry .l1.fich -width 3 -textvariable fich
entry .l2.ax -width 3 -textvariable ax
entry .l2.ay -width 3 -textvariable ay
entry .l2.bx -width 3 -textvariable bx
entry .l2.by -width 3 -textvariable by
entry .l3.vax -width 3 -textvariable vax
entry .l3.vay -width 3 -textvariable vay
entry .l3.vbx -width 3 -textvariable vbx
entry .l3.vby -width 3 -textvariable vby
entry .l4.aax -width 3 -textvariable aax
entry .l4.aay -width 3 -textvariable aay
entry .l4.abx -width 3 -textvariable abx
entry .l4.aby -width 3 -textvariable aby

label .l1.nfich -text "No de fichier"
label .l2.lax -text "Ax"
label .l2.lay -text "Ay"
label .l2.lbx -text "Bx"
label .l2.lby -text "By"
label .l3.lvax -text "Avx"
label .l3.lvay -text "Avy"
label .l3.lvbx -text "Bvx"
label .l3.lvby -text "Bvy"
label .l4.laax -text "Aax"
label .l4.laay -text "Aay"
label .l4.labx -text "Bax"
label .l4.laby -text "Bay"

.l1.fich insert 0 23
.l2.ax insert 0 131
.l2.ay insert 0 226
.l2.bx insert 0 157
.l2.by insert 0 227
.l3.vax insert 0 0
.l3.vay insert 0 0
.l3.vbx insert 0 0
.l3.vby insert 0 0
.l4.aax insert 0 0
.l4.aay insert 0 0
.l4.abx insert 0 0
.l4.aby insert 0 0

button .tracking -text "test le tracking simple" -command { 
    global fich ax ay bx by vax vay vbx vby aax aay abx aby
    tracking $fich $ax $ay $bx $by $vax $vay $vbx $vby $aax $aay $abx $aby
}

button .supertracking -text "test le tracking complxe" -command { 
    global fich ax ay bx by vax vay vbx vby aax aay abx aby
    supertracking $fich $ax $ay $bx $by $vax $vay $vbx $vby $aax $aay $abx $aby
}

checkbutton .acceler -text "Utilise l'acceleration" -variable acceler

pack .l1.nfich .l1.fich -side left
pack .l2.lax .l2.ax .l2.lay .l2.ay .l2.lbx .l2.bx .l2.lby .l2.by -side left
pack .l3.lvax .l3.vax .l3.lvay .l3.vay .l3.lvbx .l3.vbx .l3.lvby .l3.vby -side left
pack .l4.laax .l4.aax .l4.laay .l4.aay .l4.labx .l4.abx .l4.laby .l4.aby -side left
pack .l1 .l2 .l3 .l4 .tracking .supertracking
pack .acceler

button .aff -command affiche_image -text "voyons voir !"
pack .aff

###########################################
#### Tlcommande pour le remplacement ####
###########################################

toplevel .t

frame .t.l5
frame .t.l6
frame .t.l7
frame .t.l8
frame .t.l9

entry .t.l5.rfich -width 3 -textvariable rfich
entry .t.l6.rax -width 3 -textvariable rax
entry .t.l6.ray -width 3 -textvariable ray
entry .t.l6.rbx -width 3 -textvariable rbx
entry .t.l6.rby -width 3 -textvariable rby
entry .t.l7.rvax -width 3 -textvariable rvax
entry .t.l7.rvay -width 3 -textvariable rvay
entry .t.l7.rvbx -width 3 -textvariable rvbx
entry .t.l7.rvby -width 3 -textvariable rvby
entry .t.l8.rcx -width 3 -textvariable rcx
entry .t.l8.rcy -width 3 -textvariable rcy
entry .t.l8.rdx -width 3 -textvariable rdx
entry .t.l8.rdy -width 3 -textvariable rdy
entry .t.l9.rvcx -width 3 -textvariable rvcx
entry .t.l9.rvcy -width 3 -textvariable rvcy
entry .t.l9.rvdx -width 3 -textvariable rvdx
entry .t.l9.rvdy -width 3 -textvariable rvdy

label .t.l5.rnfich -text "No de fichier"
label .t.l6.rlax -text "Ax"
label .t.l6.rlay -text "Ay"
label .t.l6.rlbx -text "Bx"
label .t.l6.rlby -text "By"
label .t.l7.rlvax -text "Avx"
label .t.l7.rlvay -text "Avy"
label .t.l7.rlvbx -text "Bvx"
label .t.l7.rlvby -text "Bvy"
label .t.l8.rlcx -text "Cx"
label .t.l8.rlcy -text "Cy"
label .t.l8.rldx -text "Dx"
label .t.l8.rldy -text "Dy"
label .t.l9.rlvcx -text "Cvx"
label .t.l9.rlvcy -text "Cvy"
label .t.l9.rlvdx -text "Dvx"
label .t.l9.rlvdy -text "Dvy"

button .t.remplace -text "Remplacer" -command remplacement

pack .t.l5.rnfich .t.l5.rfich -side left
pack .t.l6.rlax .t.l6.rax .t.l6.rlay .t.l6.ray .t.l6.rlbx .t.l6.rbx .t.l6.rlby .t.l6.rby -side left
pack .t.l7.rlvax .t.l7.rvax .t.l7.rlvay .t.l7.rvay .t.l7.rlvbx .t.l7.rvbx .t.l7.rlvby .t.l7.rvby -side left
pack .t.l8.rlcx .t.l8.rcx .t.l8.rlcy .t.l8.rcy .t.l8.rldx .t.l8.rdx .t.l8.rldy .t.l8.rdy -side left
pack .t.l9.rlvcx .t.l9.rvcx .t.l9.rlvcy .t.l9.rvcy .t.l9.rlvdx .t.l9.rvdx .t.l9.rlvdy .t.l9.rvdy -side left

pack .t.l5 .t.l6 .t.l7 .t.l8 .t.l9 .t.remplace

wm title .t "Remplacement de motif"

.t.l5.rfich insert 0 42
.t.l6.rax insert 0 96
.t.l6.ray insert 0 175
.t.l6.rbx insert 0 93
.t.l6.rby insert 0 137
.t.l7.rvax insert 0 5
.t.l7.rvay insert 0 0
.t.l7.rvbx insert 0 5
.t.l7.rvby insert 0 0
.t.l8.rcx insert 0 122
.t.l8.rcy insert 0 178
.t.l8.rdx insert 0 150
.t.l8.rdy insert 0 176
.t.l9.rvcx insert 0 3
.t.l9.rvcy insert 0 -2
.t.l9.rvdx insert 0 4
.t.l9.rvdy insert 0 -2

wm withdraw .t

##############################
#### fentre de copyright ####
##############################

wm withdraw .

toplevel .cpr

wm title .cpr "A propos"

image create photo mathinfo -file "../math-info.gif"
label .cpr.image -image mathinfo

pack .cpr.image

label .cpr.titre -text "Projet de remplacement de motif" -font titres
pack .cpr.titre

label .cpr.moi -text "par Laurent MIRGUET"

button .cpr.oK -text "OK" -command { 
    wm withdraw .cpr
    wm deiconify . }

pack .cpr.moi .cpr.oK



